Subject: Re: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors

From: jfbu <[email-masked]>
Date: Mon, 23 Oct 2017 14:47:24 +0200

Hi Mosè

Le 23 oct. 2017 à 14:42, Mosè Giordano <[email-masked]> a écrit :

> Hi Jean-François,
> 
> 2017-10-23 11:11 GMT+02:00 jfbu <[email-masked]>:
>> Hi, here is minimal example:
>> 
>> \documentclass{article}
>> \begin{document}
>> \typeout{Hello:1: }
>> \end{document}
>> 
>> This triggers AUCTeX log parser to report wrongly
>> that there were compilation errors.
>> 
>> The two colons and the space conspire to this result.
>> 
>> It happened in real life example.
> 
> I think you're asking too much :-)  I don't see any meaningful way to
> distinguish between a real error and a message you write to the log
> that is exactly equal to the file-line-error style.  The same happens
> with \typeout{! hello world}.
> 
> Bye,
> Mosè

In real life example the ``:1: `` pattern appeared farther away on the line
inside a sentence. To a human, it is obvious it is not a LaTeX error
message. I am confident the logic for recognizing such error messages
is improvable. I plan to look at it when I get time to make
concrete proposal.

Best,
Jean-François